View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001532aMuleExternal Connpublic2009-06-24 19:322017-07-31 08:38
Reporterpcmaster 
Assigned Tosturedman 
PrioritynormalSeveritymajorReproducibilityalways
StatusacknowledgedResolutionopen 
PlatformOSOS Version
Product Version2.2.5 
Target VersionFixed in Version 
Summary0001532: amule daemon high memory usage
DescriptionThe sysyem has 128 MB RAm and 256 MB swap
When i launch amuled, a fews hours later it works ok, downloading and uploading files an amulegui (installed in other PC) can connect to amuled ina few seconds.

But if it remains runnign for some days, it uses uses all the swap (only 10-12 MB available), the upload is still working, but download works at very low speed and if i launch amulegui to try to connect to amuled, if needs more than 1 minute to connect. Restarting amuled solves the problem.
Additional Informationamuled installed in a 32 bit PC, amulegui in a 64 bit PC, both running Gentoo linux.
Tagsleak, ubuntu
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships

-  Notes
(0003179)
Marcell (developer)
2009-06-25 16:13

There is a possible memory leak in amuled.
It's being investigated, see here: http://www.amule.org/amule/index.php?topic=17009.0 [^]
(0003246)
sturedman (developer)
2009-07-19 00:57

We are investigating...
(0003481)
utilitytrack (reporter)
2010-08-25 07:18

Hello to aMule team!

Thank you all for amazing work, I wish to hope that the project will be in active development, and that all errors will be fixed!

I confirm troubles with huge virtual memory eating. This applies equally to amule AND amuled. I use version 2.2.6 of both, and I think that unfortunately this problem is not reproducible, because amule (or amuled) can work several days without issues, and then suddenly begin eat all available virtual memory.
So I'm not able to give more information.

When this happens, system became entirely unresponsible (completely freeze), but it's still other problem (kernel bug 12309).


My system is:
Lenovo IdeaPad s10, Intel Atom N270, 1GB RAM, 1GB swap,
Ubuntu 10.04, kernel 2.6.32-22-generic,
dpkg -l amule*
ii amule 2.2.6+debian0-7
ii amule-common 2.2.6+debian0-7
ii amule-daemon 2.2.6+debian0-7
ii amule-utils 2.2.6+debian0-7

logs:
/var/log/syslog:
Jul 26 12:48:38 lenovo-laptop kernel: [16565.694804] amule invoked oom-killer: gfp_mask=0x201da, order=0, oom_adj=0
Jul 26 12:48:38 lenovo-laptop kernel: [16565.694815] amule cpuset=/ mems_allowed=0
Jul 26 12:48:38 lenovo-laptop kernel: [16565.694828] Pid: 4579, comm: amule Not tainted 2.6.32-22-generic 0000035-Ubuntu
Jul 26 12:48:38 lenovo-laptop kernel: [16565.703737] Out of memory (oom_kill_allocating_task): kill process 4579 (amule) score 0 or a child
Jul 26 12:48:38 lenovo-laptop kernel: [16565.703747] Killed process 4579 (amule)
(0003517)
shankao (reporter)
2011-01-06 11:40

What's the status on this problem?
I have seen some reports of this still happening with amule 2.2.6 (see https://bugs.launchpad.net/ubuntu/+source/amule/+bug/610385 [^])

Thanks in advance
(0003706)
pcmaster (reporter)
2017-07-31 08:38

In last versions is resolved.

- Issue History
Date Modified Username Field Change
2009-06-24 19:32 pcmaster New Issue
2009-06-24 19:32 pcmaster Operating System => Any
2009-06-25 16:13 Marcell Note Added: 0003179
2009-07-19 00:57 sturedman Note Added: 0003246
2009-07-19 00:57 sturedman Assigned To => sturedman
2009-07-19 00:57 sturedman Status new => acknowledged
2010-08-25 07:18 utilitytrack Note Added: 0003481
2011-01-06 11:40 shankao Note Added: 0003517
2011-01-06 11:41 shankao Tag Attached: leak
2011-01-06 11:41 shankao Tag Attached: ubuntu
2017-07-31 08:38 pcmaster Note Added: 0003706


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker